# Generated by go2rpm
%bcond_without check
%bcond_with bootstrap

# https://github.com/go-kit/kit
%global goipath         github.com/go-kit/kit
Version:                0.10.0

%gometa

%global common_description %{expand:
Go kit is a programming toolkit for building microservices (or elegant
monoliths) in Go. We solve common problems in distributed systems and
application architecture so you can focus on delivering business value.}

%global golicenses      LICENSE log/term/LICENSE
%global godocs          examples CONTRIBUTING.md README.md

Name:           %{goname}
Release:        2%{?dist}
Summary:        Standard library for microservices

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/afex/hystrix-go/hystrix)
BuildRequires:  golang(github.com/apache/thrift/lib/go/thrift)
BuildRequires:  golang(github.com/aws/aws-sdk-go-v2-0.24/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go-v2-0.24/service/cloudwatch)
BuildRequires:  golang(github.com/aws/aws-sdk-go-v2-0.24/service/cloudwatch/cloudwatchiface)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/cloudwatch)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/cloudwatch/cloudwatchiface)
BuildRequires:  golang(github.com/casbin/casbin/v2)
BuildRequires:  golang(github.com/davecgh/go-spew/spew)
BuildRequires:  golang(github.com/dgrijalva/jwt-go)
BuildRequires:  golang(github.com/go-logfmt/logfmt)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/gorilla/mux)
BuildRequires:  golang(github.com/hashicorp/consul/api)
BuildRequires:  golang(github.com/hudl/fargo)
BuildRequires:  golang(github.com/influxdata/influxdb1-client/v2)
BuildRequires:  golang(github.com/lightstep/lightstep-tracer-go)
BuildRequires:  golang(github.com/nats-io/nats.go)
# Only in examples and cyclic
# BuildRequires:  golang(github.com/oklog/oklog/pkg/group)
BuildRequires:  golang(github.com/opentracing/opentracing-go)
BuildRequires:  golang(github.com/opentracing/opentracing-go/ext)
BuildRequires:  golang(github.com/openzipkin-contrib/zipkin-go-opentracing)
BuildRequires:  golang(github.com/openzipkin/zipkin-go)
BuildRequires:  golang(github.com/openzipkin/zipkin-go/model)
BuildRequires:  golang(github.com/openzipkin/zipkin-go/propagation/b3)
BuildRequires:  golang(github.com/openzipkin/zipkin-go/reporter/http)
BuildRequires:  golang(github.com/pborman/uuid)
BuildRequires:  golang(github.com/performancecopilot/speed)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(github.com/samuel/go-zookeeper/zk)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/sony/gobreaker)
BuildRequires:  golang(github.com/streadway/amqp)
BuildRequires:  golang(github.com/streadway/handy/breaker)
BuildRequires:  golang(github.com/VividCortex/gohistogram)
%if %{without bootstrap}
BuildRequires:  golang(go.etcd.io/etcd/client)
BuildRequires:  golang(go.etcd.io/etcd/clientv3)
BuildRequires:  golang(go.etcd.io/etcd/pkg/transport)
%endif
BuildRequires:  golang(go.opencensus.io/plugin/ochttp)
BuildRequires:  golang(go.opencensus.io/plugin/ochttp/propagation/b3)
BuildRequires:  golang(go.opencensus.io/trace)
BuildRequires:  golang(go.opencensus.io/trace/propagation)
BuildRequires:  golang(go.uber.org/zap)
BuildRequires:  golang(go.uber.org/zap/zapcore)
BuildRequires:  golang(golang.org/x/sync/errgroup)
BuildRequires:  golang(golang.org/x/time/rate)
BuildRequires:  golang(golang.org/x/tools/godoc/vfs/mapfs)
BuildRequires:  golang(golang.org/x/tools/imports)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/codes)
BuildRequires:  golang(google.golang.org/grpc/metadata)
BuildRequires:  golang(google.golang.org/grpc/status)
BuildRequires:  golang(sourcegraph.com/sourcegraph/appdash)
BuildRequires:  golang(sourcegraph.com/sourcegraph/appdash/opentracing)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/aryann/difflib)
BuildRequires:  golang(github.com/aws/aws-lambda-go/events)
BuildRequires:  golang(github.com/casbin/casbin/v2/model)
BuildRequires:  golang(github.com/casbin/casbin/v2/persist/file-adapter)
BuildRequires:  golang(github.com/casbin/casbin/persist/file-adapter)
BuildRequires:  golang(github.com/go-stack/stack)
# Only in examples and cyclic
# BuildRequires:  golang(github.com/pact-foundation/pact-go/dsl)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
sed -i 's|github.com/aws/aws-sdk-go-v2|github.com/aws/aws-sdk-go-v2-0.24|' $(find . -iname "*.go" -type f)

%if %{without bootstrap}
%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
%endif

%install
%gopkginstall
%if %{without bootstrap}
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
%endif

%if %{with check}
%if %{without bootstrap}
%check
%gocheck -t metrics
%endif
%endif

%if %{without bootstrap}
%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*
%endif

%gopkgfiles

%changelog
* Fri Jan 15 22:41:38 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.0-2
- Use compatibility for github.com/aws/aws-sdk-go-v2-0.24

* Mon Aug 10 04:16:30 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.10.0-1
- Update to 0.10.0

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Apr 18 18:53:04 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-1
- Initial package
